CVS HEAD compile woes
Marc Mutz
mutz at kde.org
Mon Apr 11 18:48:02 CEST 2005
Hi,
tried to build current CVS of all seven Ae2 backend modules.
gpg-error worked nice with whatever AM version I was using,
but libassuan requires AM 1.9.
After apt-get'ing automake1.9, gpg-error now fails with:
> src/Makefile.am: required file `./compile' not found
<snip>
> configure: creating ./config.status
> config.status: creating src/gpg-error-config
> config.status: error: cannot find input file: Makefile.in
> Configure failed
My build and checkout scripts are attached. They worked flawlessly before.
Marc
-------------- next part --------------
#!/bin/bash
function die() {
echo $1
exit 1
}
PREFIX=/opt/ae2
DIRS="$@"
if [ ! "$DIRS" ] ; then
DIRS="$(echo [0-9][0-9]_*)"
fi
for dir in $DIRS; do
(
echo "$0: Entering $dir"
cd $dir || die "Can't cd into $dir"
echo "$0: Running autogen"
./autogen.sh || die "Can'd run autogen.sh"
echo "$0: Running configure"
PATH=$PREFIX/bin:$PATH ./configure \
--enable-maintainer-mode --prefix=$PREFIX || die "Configure failed"
echo "$0: Running make clean"
make -j clean || die "make -j clean failed"
echo "$0: Running make"
make -j3 || make -j3 || make || die "make failed"
echo "$0: Running checks"
if ! make check; then
read -p "make check failed. Continue? [Y/n]"
if [ "$REPLY" = n ] || [ "$REPLY" = N ]; then
exit 1
fi
fi
echo "$0: Running make install and /sbin/ldconfig"
while ! su root -c "make install && /sbin/ldconfig"; do
read -p "make install failed. Repeat? [Y/n]"
if [ "$REPLY" = n ] || [ "$REPLY" = "N" ]; then
exit 1
fi
done
echo "$0: leaving $dir"
)
done
-------------- next part --------------
#!/bin/sh
cvs -d :pserver:anoncvs at cvs.gnupg.org:/cvs/gnupg co libgpg-error
mv libgpg-error 00_libgpg-error
cvs -d :pserver:anoncvs at cvs.gnupg.org:/cvs/gnupg co libassuan
mv libassuan 01_libassuan
cvs -d :pserver:anoncvs at cvs.gnupg.org:/cvs/gnupg co libgcrypt
mv libgcrypt 02_libgcrypt
cvs -d :pserver:anoncvs at cvs.gnupg.org:/cvs/aegypten co libksba
mv libksba 03_libksba
cvs -d :pserver:anoncvs at cvs.gnupg.org:/cvs/gnupg co -r GNUPG-1-9-BRANCH gnupg
mv gnupg 04_gnupg-1-9-branch
cvs -d :pserver:anoncvs at cvs.gnupg.org:/cvs/aegypten co dirmngr
mv dirmngr 05_dirmngr
cvs -d :pserver:anoncvs at cvs.gnupg.org:/cvs/aegypten co pinentry
mv pinentry 06_pinentry
cvs -d :pserver:anoncvs at cvs.gnupg.org:/cvs/gnupg co gpgme
mv gpgme 07_gpgme
More information about the Gpa-dev
mailing list